Mark non-working days in calendar view
Status: Closed Start date:
Assignee: Go MAEDA % Done: 0%
Category: Calendar Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

In global settings, we can set which are / are not working days - it should be nice to have it visually marked in project's calendar view

Associated revisions

Revision 17797 - 2019-01-14 06:16 - Go MAEDA

Move calendar day classes to a helper (#27096).

Patch by Marius BALTEANU.

Revision 17798 - 2019-01-14 06:19 - Go MAEDA

Add "nwday" class to non-working days in calendar (#27096).
Patch by Marius BALTEANU.

Revision 17799 - 2019-01-14 06:22 - Go MAEDA

Add a style for non-working days in calendar (#27096).

Patch by Go MAEDA.

History

#1 - 2017-09-28 14:32 - Mischa The Evil

- Category set to Calendar

#2 - 2017-10-28 06:37 - Toshi MARUYAMA

- Description updated

#3 - 2018-09-05 21:11 - Marius BALTEANU
- File non-working-days.png added

Maybe we can grey-out the non working days using the same style like the days from other months? Something like that:

non-working-days.png

#4 - 2018-11-05 05:54 - Go MAEDA
Marius BALTEANU wrote:

Maybe we can grey-out the non working days using the same style like the days from other months?

+1
I think it would be even better to use a different background color from dates of previous/next months.

#5 - 2018-11-05 09:30 - Marius BALTEANU
- Assignee set to Marius BALTEANU

Go MAEDA wrote:
+1
| think it would be even better to use a different background color from dates of previous/next months.

Yes, it could be an option. Let me see what can | do.

#6 - 2018-12-18 07:45 - Marius BALTEANU

- File 0001-Move-calendar-day-classes-to-a-helper.patch added

- File 0002-Add-non-working-class-to-non-working-days-in-calenda.patch added
- Assignee changed from Marius BALTEANU to Go MAEDA

- Target version set to Candidate for next major release

Go Maeda, attached the patches that mark the non working days in the calendars from Projects and My Page. | didn't apply any style on the class
because | didn't have any idea (apart from the same style as the one from days from other month). Please feel free to add a style to my patches.

#7 - 2019-01-05 07:18 - Marius BALTEANU

Go Maeda, did you have the chance to look over this feature?

#8 - 2019-01-06 13:27 - Go MAEDA
- Assignee changed from Go MAEDA to Marius BALTEANU
Marius, thank you for writing the patch.

It looks OK except one thing. Do you think it is OK that the class name for non-working days is different from gantt? Although gantt already uses
"nwday", your patch uses "non-working".

#9 - 2019-01-07 04:44 - Marius BALTEANU

- File deleted (0002-Add-non-working-class-to-non-working-days-in-calenda.patch)

#10 - 2019-01-07 05:11 - Marius BALTEANU

- File 0002-Add-nwday-class-to-non-working-days-in-calendar.patch added

- Assignee changed from Marius BALTEANU to Go MAEDA

Go MAEDA wrote:
It looks OK except one thing. Do you think it is OK that the class name for non-working days is different from gantt? Although gantt already uses
"nwday", your patch uses "non-working".

For sure we should use the existing "nwday" class, but | didn't know about it. I've updated my second patch, thanks for pointing out.

Tests results here: https:/gitlab.com/marius-balteanu/redmine/-/jobs/142133626

#11 - 2019-01-09 00:43 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Thank you for updating the patch, it looks good. Setting the target version to 4.1.0.

#12 - 2019-01-14 06:24 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Committed the patches. Thank you for improving Redmine.

And | have added a style for non-working days. The background color is the same with non-working days in gantt.

#13 - 2019-01-14 06:24 - Go MAEDA

- Subject changed from Mark (somehow) non-working days in calendar view to Mark non-working days in calendar view

Files

non-working-days.png 322 KB 2018-09-05 Marius BALTEANU
https://gitlab.com/marius-balteanu/redmine/-/jobs/142133626

0001-Move-calendar-day-classes-to-a-helper.patch 1.61 KB 2018-12-18 Marius BALTEANU
0002-Add-nwday-class-to-non-working-days-in-calendar.patch 2.52 KB 2019-01-07 Marius BALTEANU
